// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S078_Journals.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S078_Journals extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int inEuSeries = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\0\2\6\2\0\2\6"+
    "\1\7\1\10\1\11\1\12\10\11\1\13\1\14\5\0"+
    "\1\15\1\16\1\17\1\20\1\21\1\22\1\23\1\24"+
    "\1\25\1\24\1\26\1\27\1\30\1\31\1\32\1\33"+
    "\1\24\1\34\1\35\1\36\1\37\1\24\1\40\2\24"+
    "\1\41\1\42\1\0\1\43\1\44\1\45\1\0\1\46"+
    "\1\47\1\50\1\51\1\52\1\53\1\54\1\55\1\56"+
    "\1\55\1\57\1\60\1\61\1\62\1\63\1\64\1\55"+
    "\1\65\1\66\1\67\1\70\1\55\1\71\2\55\1\72"+
    "\57\0\1\44\5\0\1\44\11\0\1\44\5\0\6\55"+
    "\1\0\11\55\1\0\6\55\2\0\4\55\3\0\6\55"+
    "\1\0\11\55\1\0\6\55\2\0\4\55\53\0\2\55"+
    "\6\0\2\73\66\0\2\55\4\0\2\55\17\0\1\74"+
    "\u0188\0\2\55\216\0\2\55\42\0\2\55\104\0\1\1"+
    "\20\0\2\6\u0115\0\1\75\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\12\0\7\1\2\2\1\3\1\4\1\3\3\5\1\3"+
    "\162\0\1\6\22\0\2\7\2\0\1\10\32\0\1\11"+
    "\10\0\1\12\33\0\1\12\5\0\1\13\2\0\1\14"+
    "\30\0\1\15\4\0\1\13\3\0\1\14\23\0\2\16"+
    "\25\0\1\14\1\17\26\0\2\20\31\0\1\21\35\0"+
    "\1\21\70\0\2\22\220\0\1\12\26\0\1\21\17\0"+
    "\1\12\6\0\1\21";

  private static int [] zzUnpackAction() {
    int [] result = new int[644];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\76\0\174\0\272\0\370\0\u0136\0\u0174\0\u01b2"+
    "\0\u01f0\0\u022e\0\u026c\0\u02aa\0\u02e8\0\u0326\0\u0364\0\u03a2"+
    "\0\u03e0\0\u02e8\0\u041e\0\u02e8\0\u045c\0\u049a\0\u02e8\0\u04d8"+
    "\0\u0516\0\u0554\0\u0592\0\u05d0\0\u060e\0\u064c\0\u068a\0\u06c8"+
    "\0\u0706\0\u0744\0\u0782\0\u07c0\0\u07fe\0\u083c\0\u087a\0\u08b8"+
    "\0\u08f6\0\u0934\0\u0972\0\u09b0\0\u09ee\0\u0a2c\0\u0a6a\0\u026c"+
    "\0\u0aa8\0\u0ae6\0\u0b24\0\u0b62\0\u0ba0\0\u049a\0\u0bde\0\u0c1c"+
    "\0\u0c5a\0\u0c98\0\u0cd6\0\u0d14\0\u0d52\0\u0d90\0\u0dce\0\u0e0c"+
    "\0\u0e4a\0\u0e88\0\u0ec6\0\u0f04\0\u0f42\0\u0f80\0\u0fbe\0\u0ffc"+
    "\0\u103a\0\u1078\0\u10b6\0\u10f4\0\u1132\0\u1170\0\u11ae\0\u11ec"+
    "\0\u122a\0\u1268\0\u12a6\0\u12e4\0\u1322\0\u1360\0\u139e\0\u13dc"+
    "\0\u141a\0\u1458\0\u1496\0\u14d4\0\u1512\0\u1550\0\u158e\0\u15cc"+
    "\0\u160a\0\u1648\0\u1686\0\u16c4\0\u1702\0\u1740\0\u177e\0\u17bc"+
    "\0\u17fa\0\u1838\0\u1876\0\u18b4\0\u18f2\0\u1930\0\u196e\0\u19ac"+
    "\0\u19ea\0\u1a28\0\u1a66\0\u1aa4\0\u1ae2\0\u1b20\0\u1b5e\0\u1b9c"+
    "\0\u1bda\0\u1c18\0\u1c56\0\u1c94\0\u1cd2\0\u1d10\0\u1d4e\0\u1d8c"+
    "\0\u1dca\0\u1e08\0\u1e46\0\u1e84\0\u1ec2\0\u1f00\0\u1f3e\0\u1f7c"+
    "\0\u1fba\0\u1ff8\0\u2036\0\u2074\0\u02e8\0\u20b2\0\u20f0\0\u02e8"+
    "\0\u212e\0\u216c\0\u21aa\0\u21e8\0\u2226\0\u2264\0\u22a2\0\u22e0"+
    "\0\u231e\0\u235c\0\u239a\0\u23d8\0\u2416\0\u2454\0\u2492\0\u02e8"+
    "\0\u24d0\0\u250e\0\u254c\0\u02e8\0\u258a\0\u25c8\0\u2606\0\u2644"+
    "\0\u2682\0\u26c0\0\u26fe\0\u273c\0\u277a\0\u27b8\0\u27f6\0\u2834"+
    "\0\u2872\0\u28b0\0\u28ee\0\u292c\0\u296a\0\u29a8\0\u29e6\0\u2a24"+
    "\0\u2a62\0\u2aa0\0\u2ade\0\u2b1c\0\u2b5a\0\u2b98\0\u02e8\0\u2bd6"+
    "\0\u2c14\0\u2c52\0\u2c90\0\u2cce\0\u2d0c\0\u2d4a\0\u2d88\0\u2dc6"+
    "\0\u2e04\0\u2e42\0\u2e80\0\u2ebe\0\u2efc\0\u2f3a\0\u2f78\0\u2fb6"+
    "\0\u2ff4\0\u3032\0\u3070\0\u30ae\0\u30ec\0\u312a\0\u3168\0\u31a6"+
    "\0\u31e4\0\u3222\0\u3260\0\u329e\0\u32dc\0\u331a\0\u3358\0\u3396"+
    "\0\u33d4\0\u3412\0\u3450\0\u33d4\0\u348e\0\u34cc\0\u350a\0\u3548"+
    "\0\u3586\0\u35c4\0\u3602\0\u3640\0\u367e\0\u36bc\0\u36fa\0\u3738"+
    "\0\u3776\0\u37b4\0\u37f2\0\u3830\0\u386e\0\u38ac\0\u38ea\0\u3928"+
    "\0\u3966\0\u39a4\0\u39e2\0\u3a20\0\u3a5e\0\u3a9c\0\u3ada\0\u3b18"+
    "\0\u3b56\0\u3b94\0\u3bd2\0\u3c10\0\u3c4e\0\u3c8c\0\u3cca\0\u3d08"+
    "\0\u3d46\0\u3d84\0\u02e8\0\u3dc2\0\u3e00\0\u3e3e\0\u02e8\0\u3e7c"+
    "\0\u3eba\0\u3ef8\0\u3f36\0\u3f74\0\u3fb2\0\u3ff0\0\u402e\0\u406c"+
    "\0\u40aa\0\u40e8\0\u4126\0\u4164\0\u41a2\0\u41e0\0\u421e\0\u425c"+
    "\0\u429a\0\u42d8\0\u02e8\0\u4316\0\u4354\0\u4392\0\u43d0\0\u440e"+
    "\0\u444c\0\u448a\0\u44c8\0\u3c8c\0\u4506\0\u4544\0\u4582\0\u45c0"+
    "\0\u45fe\0\u463c\0\u467a\0\u46b8\0\u46f6\0\u4734\0\u4772\0\u47b0"+
    "\0\u47ee\0\u482c\0\u02e8\0\u486a\0\u48a8\0\u48e6\0\u4924\0\u4962"+
    "\0\u49a0\0\u49de\0\u4a1c\0\u4a5a\0\u4a98\0\u4ad6\0\u4b14\0\u4b52"+
    "\0\u4b90\0\u4bce\0\u4c0c\0\u4c4a\0\u4c88\0\u4cc6\0\u4d04\0\u4d42"+
    "\0\u4d80\0\u02e8\0\u4dbe\0\u4dfc\0\u4e3a\0\u4e78\0\u4eb6\0\u4ef4"+
    "\0\u4f32\0\u4f70\0\u4fae\0\u4fec\0\u502a\0\u5068\0\u50a6\0\u50e4"+
    "\0\u5122\0\u5160\0\u519e\0\u51dc\0\u521a\0\u5258\0\u5296\0\u52d4"+
    "\0\u5312\0\u5350\0\u538e\0\u53cc\0\u540a\0\u5448\0\u5486\0\u54c4"+
    "\0\u5502\0\u5540\0\u557e\0\u55bc\0\u55fa\0\u5638\0\u5676\0\u56b4"+
    "\0\u56f2\0\u5730\0\u576e\0\u57ac\0\u57ea\0\u5828\0\u5866\0\u58a4"+
    "\0\u58e2\0\u5920\0\u595e\0\u599c\0\u59da\0\u5a18\0\u5a56\0\u5a94"+
    "\0\u5ad2\0\u5b10\0\u5ad2\0\u5b4e\0\u5b8c\0\u5bca\0\u5c08\0\u5c46"+
    "\0\u5c84\0\u5cc2\0\u5d00\0\u5d3e\0\u5d7c\0\u5dba\0\u5df8\0\u5e36"+
    "\0\u5e74\0\u5eb2\0\u5ef0\0\u5f2e\0\u5f6c\0\u5faa\0\u5fe8\0\u6026"+
    "\0\u6064\0\u60a2\0\u60e0\0\u611e\0\u615c\0\u619a\0\u61d8\0\u6216"+
    "\0\u6254\0\u6292\0\u62d0\0\u630e\0\u634c\0\u638a\0\u63c8\0\u6406"+
    "\0\u6444\0\u6482\0\u64c0\0\u64fe\0\u653c\0\u657a\0\u65b8\0\u65f6"+
    "\0\u6634\0\u6672\0\u66b0\0\u66ee\0\u672c\0\u676a\0\u67a8\0\u67e6"+
    "\0\u6824\0\u6862\0\u68a0\0\u02e8\0\u68de\0\u691c\0\u695a\0\u6998"+
    "\0\u69d6\0\u6a14\0\u6a52\0\u6a90\0\u6ace\0\u6b0c\0\u6b4a\0\u6b88"+
    "\0\u6bc6\0\u6c04\0\u6c42\0\u6c80\0\u6cbe\0\u6cfc\0\u6d3a\0\u6d78"+
    "\0\u6db6\0\u6df4\0\u6e32\0\u6e70\0\u6eae\0\u6eec\0\u6f2a\0\u6f68"+
    "\0\u6fa6\0\u6fe4\0\u7022\0\u7060\0\u709e\0\u70dc\0\u711a\0\u7158"+
    "\0\u7196\0\u71d4\0\u7212\0\u7250\0\u728e\0\u72cc\0\u730a\0\u7348"+
    "\0\u7386\0\u73c4\0\u7402\0\u7440\0\u747e\0\u74bc\0\u74fa\0\u7538"+
    "\0\u7576\0\u75b4\0\u75f2\0\u7630\0\u766e\0\u76ac\0\u76ea\0\u7728"+
    "\0\u7766\0\u77a4\0\u77e2\0\u7820\0\u785e\0\u789c\0\u78da\0\u7918"+
    "\0\u7956\0\u7994\0\u79d2\0\u7a10\0\u7a4e\0\u7a8c\0\u7aca\0\u7b08"+
    "\0\u7b46\0\u7b84\0\u7bc2\0\u7c00\0\u7c3e\0\u7c7c\0\u7cba\0\u7cf8"+
    "\0\u7d36\0\u7d74\0\u7db2\0\u7df0\0\u7e2e\0\u7e6c\0\u7eaa\0\u7ee8"+
    "\0\u7f26\0\u7f64\0\u7fa2\0\u7fe0\0\u801e\0\u805c\0\u809a\0\u80d8"+
    "\0\u8116\0\u8154\0\u8192\0\u81d0\0\u820e\0\u824c\0\u828a\0\u82c8"+
    "\0\u8306\0\u8344\0\u8382\0\u83c0\0\u83fe\0\u843c\0\u847a\0\u84b8"+
    "\0\u84f6\0\u8534\0\u8572\0\u85b0\0\u85ee\0\u862c\0\u866a\0\u86a8"+
    "\0\u86e6\0\u8724\0\u8762\0\u87a0\0\u87de\0\u881c\0\u885a\0\u8898"+
    "\0\u88d6\0\u8914\0\u8952\0\u8990\0\u89ce\0\u8a0c\0\u8a4a\0\u8a88"+
    "\0\u8ac6\0\u8b04\0\u8b42\0\u8b80\0\u8bbe\0\u8bfc\0\u8c3a\0\u8c78"+
    "\0\u8bfc\0\u8cb6\0\u8cf4\0\u8d32\0\u8d70\0\u8dae\0\u8dec\0\u8e2a"+
    "\0\u8e68\0\u8ea6\0\u8ee4\0\u8f22\0\u8f60\0\u8f9e\0\u8fdc\0\u901a"+
    "\0\u9058\0\u9096\0\u90d4\0\u9112\0\u9150\0\u918e\0\u91cc\0\u920a"+
    "\0\u9248\0\u9150\0\u9286\0\u92c4\0\u9302\0\u9340\0\u937e\0\u93bc"+
    "\0\u93fa\0\u9438\0\u9476\0\u94b4\0\u3450\0\u94f2\0\u9530\0\u956e"+
    "\0\u95ac\0\u95ea\0\u9628\0\u02e8";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[644];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\13\1\14\5\13\2\15\2\13\6\15\1\16\11\15"+
    "\1\17\4\15\1\20\3\13\6\15\1\16\11\15\1\17"+
    "\4\15\1\13\1\21\1\13\42\22\1\23\33\22\1\24"+
    "\3\25\1\24\1\26\7\24\1\27\1\24\1\30\7\24"+
    "\1\31\3\24\1\27\1\24\1\32\30\24\1\32\5\24"+
    "\1\32\1\24\3\33\1\34\5\33\2\0\2\33\25\0"+
    "\4\33\25\0\3\33\7\0\1\35\5\0\1\36\3\0"+
    "\1\37\1\40\23\0\1\36\3\0\1\37\1\40\22\0"+
    "\2\41\1\42\6\41\2\0\2\41\25\0\4\41\25\0"+
    "\3\41\23\0\1\43\30\0\1\43\21\0\2\44\1\45"+
    "\6\44\2\0\2\44\25\0\4\44\25\0\3\44\3\46"+
    "\1\47\5\46\2\0\2\46\25\0\4\46\25\0\3\46"+
    "\2\50\1\51\6\50\2\0\2\50\25\0\4\50\25\0"+
    "\3\50\12\0\1\52\10\0\1\53\1\0\1\54\5\0"+
    "\1\55\1\0\1\56\16\0\1\57\7\0\1\55\1\0"+
    "\1\56\5\0\1\56\3\0\1\60\7\0\1\52\10\0"+
    "\1\53\1\0\1\54\5\0\1\55\1\0\1\56\16\0"+
    "\1\57\7\0\1\55\1\0\1\56\5\0\1\56\114\0"+
    "\1\61\30\0\1\61\50\0\1\62\15\0\1\63\12\0"+
    "\1\62\15\0\1\63\17\0\1\52\10\0\1\53\1\0"+
    "\1\54\1\0\1\64\3\0\1\55\1\0\1\56\16\0"+
    "\1\57\3\0\1\64\3\0\1\55\1\0\1\56\5\0"+
    "\1\56\13\0\1\52\6\0\1\62\1\0\1\53\1\0"+
    "\1\54\5\0\1\55\1\0\1\56\1\0\1\63\12\0"+
    "\1\62\1\0\1\57\7\0\1\55\1\0\1\56\1\0"+
    "\1\63\3\0\1\56\11\0\1\65\66\0\3\25\1\0"+
    "\1\66\121\0\1\67\30\0\1\67\30\0\1\27\3\0"+
    "\1\27\3\0\1\27\75\0\1\27\2\0\1\27\66\0"+
    "\1\70\30\0\1\70\60\0\1\71\30\0\1\71\5\0"+
    "\1\71\3\0\1\33\32\0\1\71\30\0\1\71\5\0"+
    "\1\71\23\0\1\40\30\0\1\40\41\0\1\72\11\0"+
    "\1\73\16\0\1\72\11\0\1\73\42\0\1\74\30\0"+
    "\1\74\37\0\1\75\30\0\1\75\31\0\1\76\71\0"+
    "\1\41\3\0\1\76\103\0\1\77\30\0\1\77\44\0"+
    "\1\100\1\0\1\101\1\0\1\102\3\0\1\103\1\0"+
    "\1\101\1\104\2\0\1\101\45\0\1\44\11\0\1\100"+
    "\1\0\1\101\1\0\1\102\3\0\1\103\1\0\1\101"+
    "\1\104\2\0\1\101\65\0\1\105\54\0\1\46\20\0"+
    "\1\105\67\0\1\106\1\0\1\107\1\0\1\110\3\0"+
    "\1\111\1\0\1\107\1\112\2\0\1\107\45\0\1\50"+
    "\11\0\1\106\1\0\1\107\1\0\1\110\3\0\1\111"+
    "\1\0\1\107\1\112\2\0\1\107\106\0\1\54\1\0"+
    "\1\54\14\0\1\54\21\0\1\113\67\0\3\54\1\0"+
    "\1\114\27\0\1\115\30\0\1\115\5\0\1\115\35\0"+
    "\1\116\30\0\1\116\17\0\1\117\75\0\1\120\127\0"+
    "\1\121\30\0\1\121\37\0\1\122\30\0\1\122\43\0"+
    "\1\123\30\0\1\123\37\0\1\124\30\0\1\124\15\0"+
    "\1\124\27\0\1\125\30\0\1\125\33\0\1\126\30\0"+
    "\1\126\62\0\1\127\30\0\1\127\17\0\1\130\113\0"+
    "\1\131\30\0\1\131\14\0\1\131\17\0\1\132\30\0"+
    "\1\132\44\0\1\133\30\0\1\133\66\0\1\134\30\0"+
    "\1\134\44\0\1\135\30\0\1\135\46\0\1\136\30\0"+
    "\1\136\4\0\3\101\10\0\1\137\2\0\1\101\1\0"+
    "\1\140\30\0\1\140\24\0\3\101\10\0\1\137\4\0"+
    "\1\140\30\0\1\140\42\0\1\101\75\0\1\101\7\0"+
    "\1\101\75\0\1\101\55\0\1\141\67\0\3\107\10\0"+
    "\1\142\2\0\1\107\1\0\1\140\30\0\1\140\24\0"+
    "\3\107\10\0\1\142\4\0\1\140\30\0\1\140\42\0"+
    "\1\107\75\0\1\107\7\0\1\107\75\0\1\107\105\0"+
    "\1\143\30\0\1\144\36\0\1\145\30\0\1\145\22\0"+
    "\1\146\11\0\1\147\30\0\1\147\50\0\1\150\30\0"+
    "\1\150\14\0\1\150\34\0\1\151\30\0\1\151\51\0"+
    "\1\144\30\0\1\144\46\0\1\152\30\0\1\152\30\0"+
    "\1\153\30\0\1\153\14\0\1\153\35\0\1\154\30\0"+
    "\1\154\42\0\1\155\30\0\1\155\41\0\1\156\30\0"+
    "\1\156\15\0\1\156\35\0\1\157\30\0\1\157\5\0"+
    "\1\157\26\0\1\160\30\0\1\160\14\0\1\160\34\0"+
    "\1\161\30\0\1\161\41\0\1\162\30\0\1\162\42\0"+
    "\1\163\30\0\1\163\14\0\1\163\27\0\1\164\30\0"+
    "\1\164\14\0\1\164\3\0\3\134\3\0\1\165\4\0"+
    "\1\166\1\167\23\0\1\170\4\0\1\167\23\0\1\170"+
    "\12\0\1\171\127\0\1\172\30\0\1\172\36\0\1\173"+
    "\30\0\1\173\36\0\1\174\30\0\1\174\14\0\1\174"+
    "\41\0\1\175\71\0\1\176\30\0\1\176\20\0\1\177"+
    "\75\0\1\200\104\0\1\201\30\0\1\201\63\0\1\202"+
    "\30\0\1\202\5\0\1\202\35\0\1\203\30\0\1\203"+
    "\40\0\1\204\30\0\1\204\23\0\1\205\67\0\3\206"+
    "\1\0\1\207\1\0\1\206\11\0\1\210\15\0\1\211"+
    "\12\0\1\210\15\0\1\211\26\0\1\212\30\0\1\212"+
    "\52\0\1\213\30\0\1\213\30\0\1\214\113\0\1\215"+
    "\30\0\1\215\46\0\1\216\30\0\1\216\32\0\1\217"+
    "\30\0\1\217\32\0\1\220\104\0\1\221\30\0\1\221"+
    "\55\0\1\222\30\0\1\222\34\0\1\223\30\0\1\223"+
    "\66\0\1\170\30\0\1\170\36\0\1\224\30\0\1\224"+
    "\47\0\1\225\30\0\1\225\47\0\1\226\30\0\1\226"+
    "\26\0\1\227\30\0\1\227\22\0\3\230\1\0\1\231"+
    "\1\0\1\230\11\0\1\232\15\0\1\233\12\0\1\232"+
    "\15\0\1\233\42\0\1\234\30\0\1\234\5\0\1\234"+
    "\35\0\1\235\30\0\1\235\17\0\1\236\123\0\1\237"+
    "\30\0\1\237\5\0\1\237\1\0\3\240\1\241\5\240"+
    "\2\0\2\240\22\0\1\242\2\0\4\240\25\0\6\240"+
    "\1\241\5\240\2\0\2\240\25\0\4\240\25\0\3\240"+
    "\35\0\1\243\30\0\1\243\5\0\1\243\10\0\1\244"+
    "\113\0\1\245\30\0\1\245\14\0\1\245\17\0\1\54"+
    "\14\0\1\54\13\0\1\54\14\0\1\54\13\0\3\205"+
    "\1\0\1\246\15\0\1\247\30\0\1\247\22\0\3\206"+
    "\1\0\1\207\31\0\1\211\30\0\1\211\36\0\1\250"+
    "\30\0\1\250\51\0\1\251\30\0\1\251\30\0\1\252"+
    "\30\0\1\252\23\0\3\212\1\0\1\253\15\0\1\254"+
    "\30\0\1\254\22\0\3\255\1\0\1\256\1\0\1\255"+
    "\11\0\1\257\10\0\1\260\17\0\1\257\10\0\1\260"+
    "\27\0\25\261\3\0\1\261\44\0\1\25\62\0\3\217"+
    "\1\0\1\262\7\0\1\27\1\0\1\30\7\0\1\31"+
    "\3\0\1\27\60\0\1\263\30\0\1\263\43\0\1\264"+
    "\30\0\1\264\54\0\1\35\30\0\1\35\14\0\1\35"+
    "\37\0\1\265\30\0\1\265\5\0\1\265\37\0\1\266"+
    "\30\0\1\266\23\0\1\171\30\0\1\171\30\0\3\227"+
    "\10\0\1\267\62\0\3\230\1\0\1\231\31\0\1\233"+
    "\30\0\1\233\36\0\1\270\30\0\1\270\51\0\1\271"+
    "\30\0\1\271\30\0\1\272\30\0\1\272\40\0\1\273"+
    "\30\0\1\273\47\0\1\274\30\0\1\274\62\0\1\275"+
    "\54\0\1\276\30\0\1\276\30\0\1\277\102\0\1\300"+
    "\121\0\1\301\30\0\1\301\32\0\1\302\30\0\1\302"+
    "\54\0\1\303\30\0\1\303\22\0\1\304\5\0\1\305"+
    "\30\0\1\305\45\0\1\306\30\0\1\306\64\0\1\307"+
    "\30\0\1\307\30\0\1\310\30\0\1\310\53\0\1\311"+
    "\30\0\1\311\34\0\1\312\30\0\1\312\24\0\3\255"+
    "\1\0\1\256\24\0\1\260\30\0\1\260\43\0\1\313"+
    "\30\0\1\313\43\0\1\314\30\0\1\314\50\0\1\315"+
    "\30\0\1\315\23\0\1\316\1\0\25\261\3\0\1\261"+
    "\61\0\1\317\30\0\1\317\52\0\1\320\30\0\1\320"+
    "\43\0\1\321\30\0\1\321\24\0\1\322\30\0\1\322"+
    "\47\0\1\165\30\0\1\165\56\0\1\323\30\0\1\323"+
    "\27\0\1\324\30\0\1\324\64\0\1\325\30\0\1\325"+
    "\30\0\1\326\30\0\1\326\53\0\1\327\30\0\1\327"+
    "\50\0\1\227\30\0\1\227\5\0\1\227\10\0\1\330"+
    "\117\0\1\331\30\0\1\331\34\0\1\332\70\0\1\54"+
    "\62\0\3\302\1\0\1\333\27\0\1\334\30\0\1\334"+
    "\5\0\1\334\17\0\1\335\30\0\1\335\65\0\1\336"+
    "\30\0\1\336\46\0\1\337\30\0\1\337\40\0\1\340"+
    "\30\0\1\340\5\0\1\340\16\0\1\206\30\0\1\206"+
    "\30\0\3\341\1\0\1\342\1\343\1\344\11\0\1\345"+
    "\3\0\1\346\11\0\1\347\2\0\1\350\2\0\1\343"+
    "\4\0\1\345\3\0\1\346\11\0\1\347\2\0\1\346"+
    "\20\0\1\351\30\0\1\351\57\0\1\352\30\0\1\352"+
    "\31\0\1\353\30\0\1\353\47\0\1\354\30\0\1\354"+
    "\43\0\1\355\30\0\1\355\24\0\2\316\3\0\6\316"+
    "\1\356\26\316\2\0\32\316\16\0\1\357\30\0\1\357"+
    "\61\0\1\360\30\0\1\360\36\0\1\361\30\0\1\361"+
    "\14\0\1\361\33\0\1\362\30\0\1\362\50\0\1\363"+
    "\30\0\1\363\5\0\1\363\36\0\1\364\30\0\1\364"+
    "\5\0\1\364\16\0\1\230\30\0\1\230\30\0\3\365"+
    "\1\0\1\366\1\367\1\365\11\0\1\370\3\0\1\371"+
    "\11\0\1\372\2\0\1\373\2\0\1\367\4\0\1\370"+
    "\3\0\1\371\11\0\1\372\2\0\1\371\7\0\1\101"+
    "\111\0\1\161\61\0\1\107\77\0\1\374\117\0\1\375"+
    "\30\0\1\375\46\0\1\376\30\0\1\376\46\0\1\377"+
    "\30\0\1\377\5\0\1\377\10\0\1\u0100\127\0\1\u0101"+
    "\30\0\1\u0101\36\0\1\u0102\30\0\1\u0102\12\0\3\341"+
    "\1\0\1\342\1\343\12\0\1\345\15\0\1\347\2\0"+
    "\1\350\2\0\1\343\4\0\1\345\15\0\1\347\36\0"+
    "\1\u0103\30\0\1\u0103\14\0\3\343\1\0\1\u0104\1\343"+
    "\12\0\1\345\15\0\1\347\2\0\1\u0105\2\0\1\343"+
    "\4\0\1\345\15\0\1\347\44\0\1\u0106\30\0\1\u0106"+
    "\24\0\1\u0107\30\0\1\u0107\46\0\1\u0106\7\0\1\u0108"+
    "\20\0\1\u0106\7\0\1\u0108\42\0\1\u0109\30\0\1\u0109"+
    "\52\0\1\u010a\30\0\1\u010a\5\0\1\u010a\10\0\1\u010b"+
    "\11\0\1\u010c\30\0\1\u010c\60\0\1\u010d\30\0\1\u010d"+
    "\5\0\1\u010d\32\0\1\u010e\30\0\1\u010e\22\0\1\u010f"+
    "\15\0\1\u0110\30\0\1\u0110\14\0\1\u0110\13\0\2\u0111"+
    "\120\0\1\u0112\30\0\1\u0112\5\0\1\u0112\22\0\1\u0113"+
    "\30\0\1\u0113\24\0\3\361\10\0\1\u0114\1\u0115\30\0"+
    "\1\u0115\34\0\1\134\106\0\1\u0116\30\0\1\u0116\61\0"+
    "\1\u0117\30\0\1\u0117\12\0\3\365\1\0\1\366\1\367"+
    "\12\0\1\370\15\0\1\372\2\0\1\373\2\0\1\367"+
    "\4\0\1\370\15\0\1\372\36\0\1\u0118\30\0\1\u0118"+
    "\14\0\3\367\1\0\1\u0119\1\367\12\0\1\370\15\0"+
    "\1\372\2\0\1\u011a\2\0\1\367\4\0\1\370\15\0"+
    "\1\372\44\0\1\220\30\0\1\220\24\0\1\u011b\30\0"+
    "\1\u011b\46\0\1\220\7\0\1\u011c\20\0\1\220\7\0"+
    "\1\u011c\42\0\1\u011d\30\0\1\u011d\16\0\3\374\1\0"+
    "\1\u011e\27\0\1\u011f\30\0\1\u011f\5\0\1\u011f\17\0"+
    "\1\u0120\30\0\1\u0120\47\0\1\u0121\30\0\1\u0121\56\0"+
    "\1\u0122\30\0\1\u0122\11\0\3\u0123\1\u0124\5\u0123\2\0"+
    "\2\u0123\25\0\4\u0123\25\0\3\u0123\1\0\3\u0125\1\0"+
    "\1\u0126\1\0\1\u0125\11\0\1\u0127\15\0\1\u0128\12\0"+
    "\1\u0127\15\0\1\u0128\21\0\1\206\77\0\1\u0129\30\0"+
    "\1\u0129\57\0\1\u012a\30\0\1\u012a\42\0\1\u012b\30\0"+
    "\1\u012b\16\0\3\u012c\1\0\1\u012d\7\0\1\u012e\1\0"+
    "\1\u012f\7\0\1\u0130\3\0\1\u012e\1\0\1\u0131\30\0"+
    "\1\u0131\5\0\1\u0131\26\0\1\u0132\30\0\1\u0132\14\0"+
    "\1\u0132\11\0\1\u0133\15\0\1\u0134\30\0\1\u0134\14\0"+
    "\1\u0134\30\0\1\u0135\30\0\1\u0135\15\0\1\u0135\33\0"+
    "\1\u0136\30\0\1\u0136\45\0\1\u0137\30\0\1\u0137\43\0"+
    "\1\u0138\30\0\1\u0138\47\0\1\u0139\30\0\1\u0139\37\0"+
    "\1\u013a\30\0\1\u013a\24\0\2\u0111\30\0\1\u013b\65\0"+
    "\1\u013c\30\0\1\u013c\45\0\1\u013d\30\0\1\u013d\43\0"+
    "\1\u013e\30\0\1\u013e\30\0\1\72\30\0\1\72\56\0"+
    "\1\u013f\30\0\1\u013f\27\0\1\230\77\0\1\u0140\30\0"+
    "\1\u0140\57\0\1\u0141\30\0\1\u0141\42\0\1\u0142\30\0"+
    "\1\u0142\42\0\1\u0143\30\0\1\u0143\14\0\1\u0143\11\0"+
    "\1\u0144\15\0\1\u0145\30\0\1\u0145\14\0\1\u0145\30\0"+
    "\1\u0146\30\0\1\u0146\15\0\1\u0146\31\0\1\u0147\30\0"+
    "\1\u0147\34\0\1\u0148\30\0\1\u0148\60\0\1\u0149\30\0"+
    "\1\u0149\5\0\1\u0149\20\0\1\u014a\30\0\1\u014a\41\0"+
    "\1\205\63\0\1\u0123\74\0\3\u0125\1\0\1\u0126\31\0"+
    "\1\u0128\30\0\1\u0128\36\0\1\u014b\30\0\1\u014b\51\0"+
    "\1\u014c\30\0\1\u014c\30\0\1\u014d\30\0\1\u014d\57\0"+
    "\1\u014e\30\0\1\u014e\5\0\1\u014e\17\0\1\u014f\30\0"+
    "\1\u014f\54\0\1\u0150\30\0\1\u0150\15\0\1\u0150\31\0"+
    "\1\u0151\30\0\1\u0151\13\0\3\u0152\1\u0153\5\u0152\2\0"+
    "\2\u0152\25\0\4\u0152\25\0\6\u0152\1\u0153\5\u0152\2\0"+
    "\2\u0152\1\u012e\3\0\1\u012e\3\0\1\u012e\14\0\4\u0152"+
    "\25\0\6\u0152\1\u0153\5\u0152\2\0\2\u0152\10\0\1\u012e"+
    "\2\0\1\u012e\11\0\4\u0152\25\0\3\u0152\21\0\1\u0154"+
    "\30\0\1\u0154\40\0\1\u0155\30\0\1\u0155\30\0\3\u0133"+
    "\1\0\1\u0156\13\0\1\u0157\30\0\1\u0157\55\0\1\u0158"+
    "\30\0\1\u0158\43\0\1\u0159\30\0\1\u0159\27\0\1\212"+
    "\76\0\1\u015a\30\0\1\u015a\43\0\1\255\113\0\1\255"+
    "\30\0\1\255\21\0\1\u010f\5\0\1\u015b\30\0\1\u015b"+
    "\43\0\1\217\62\0\3\u013d\10\0\1\u015c\26\0\1\u015d"+
    "\67\0\1\u015e\30\0\1\u015e\5\0\1\u015e\6\0\1\227"+
    "\125\0\1\u015f\30\0\1\u015f\5\0\1\u015f\17\0\1\u0160"+
    "\30\0\1\u0160\54\0\1\u0161\30\0\1\u0161\15\0\1\u0161"+
    "\15\0\1\u0162\30\0\1\u0162\30\0\3\u0144\1\0\1\u0163"+
    "\13\0\1\u0164\30\0\1\u0164\55\0\1\u0165\30\0\1\u0165"+
    "\43\0\1\u0166\30\0\1\u0166\31\0\1\u0167\30\0\1\u0167"+
    "\62\0\1\u0168\30\0\1\u0168\43\0\1\u0169\30\0\1\u0169"+
    "\20\0\1\146\15\0\1\u016a\7\0\1\202\20\0\1\u016a"+
    "\7\0\1\202\4\0\1\u016a\1\202\17\0\1\u016b\30\0"+
    "\1\u016b\64\0\1\u016c\30\0\1\u016c\30\0\1\u016d\30\0"+
    "\1\u016d\55\0\1\u016e\30\0\1\u016e\46\0\1\u016f\30\0"+
    "\1\u016f\5\0\1\u016f\32\0\1\u0170\30\0\1\u0170\31\0"+
    "\1\u0171\30\0\1\u0171\30\0\1\u0152\127\0\1\u0172\30\0"+
    "\1\u0172\37\0\1\u0173\30\0\1\u0173\46\0\1\u0174\30\0"+
    "\1\u0174\52\0\1\u0175\30\0\1\u0175\36\0\1\u0176\30\0"+
    "\1\u0176\26\0\1\u0177\111\0\1\u0178\30\0\1\u0178\51\0"+
    "\1\u0179\30\0\1\u0179\43\0\1\u017a\30\0\1\u017a\42\0"+
    "\1\u017b\30\0\1\u017b\31\0\1\u017c\30\0\1\u017c\61\0"+
    "\1\u017d\30\0\1\u017d\46\0\1\u017e\30\0\1\u017e\5\0"+
    "\1\u017e\32\0\1\u017f\30\0\1\u017f\42\0\1\u0180\30\0"+
    "\1\u0180\46\0\1\u0181\30\0\1\u0181\52\0\1\u0182\30\0"+
    "\1\u0182\36\0\1\u0183\30\0\1\u0183\26\0\1\u0184\117\0"+
    "\1\u0185\30\0\1\u0185\5\0\1\u0185\26\0\1\u0186\30\0"+
    "\1\u0186\14\0\1\u0186\16\0\1\302\76\0\1\u0187\30\0"+
    "\1\u0187\64\0\1\u0188\30\0\1\u0188\5\0\1\u0188\16\0"+
    "\1\u0125\30\0\1\u0125\30\0\3\u0189\1\0\1\u018a\1\0"+
    "\1\u018b\15\0\1\u018c\14\0\1\u018d\13\0\1\u018c\14\0"+
    "\1\u018c\16\0\1\341\114\0\1\u018e\30\0\1\u018e\24\0"+
    "\1\u018f\117\0\1\u0190\30\0\1\u0190\5\0\1\u0190\26\0"+
    "\1\u0191\30\0\1\u0191\14\0\1\u0191\23\0\1\344\30\0"+
    "\1\344\41\0\1\u0192\30\0\1\u0192\35\0\1\u0106\24\0"+
    "\1\u0193\30\0\1\u0193\31\0\1\u0133\30\0\1\u0133\60\0"+
    "\1\u0194\30\0\1\u0194\5\0\1\u0194\22\0\1\u010b\30\0"+
    "\1\u010b\50\0\1\u0195\30\0\1\u0195\14\0\1\u0195\37\0"+
    "\1\u0196\30\0\1\u0196\5\0\1\u0196\27\0\1\u0197\30\0"+
    "\1\u0197\15\0\1\u0197\31\0\1\u0198\30\0\1\u0198\27\0"+
    "\1\365\114\0\1\u0199\30\0\1\u0199\24\0\1\u019a\103\0"+
    "\1\365\30\0\1\365\41\0\1\u019b\30\0\1\u019b\35\0"+
    "\1\220\24\0\1\u019c\30\0\1\u019c\31\0\1\u0144\30\0"+
    "\1\u0144\60\0\1\u019d\30\0\1\u019d\5\0\1\u019d\34\0"+
    "\1\u019e\30\0\1\u019e\32\0\1\u019f\30\0\1\u019f\52\0"+
    "\1\u01a0\30\0\1\u01a0\50\0\1\u01a1\30\0\1\u01a1\12\0"+
    "\3\u0189\1\0\1\u018a\34\0\1\u018d\64\0\1\u01a2\30\0"+
    "\1\u01a2\32\0\1\u01a3\30\0\1\u01a3\54\0\1\u01a4\30\0"+
    "\1\u01a4\31\0\1\343\116\0\1\u01a5\30\0\1\u01a5\5\0"+
    "\1\u01a5\34\0\1\u01a6\30\0\1\u01a6\32\0\1\u01a7\30\0"+
    "\1\u01a7\60\0\1\u01a8\30\0\1\u01a8\5\0\1\u01a8\10\0"+
    "\1\u0106\22\0\1\u01a9\30\0\1\u01a9\50\0\1\u01aa\30\0"+
    "\1\u01aa\40\0\1\u010f\30\0\1\u010f\30\0\1\u01ab\30\0"+
    "\1\u01ab\55\0\1\u01ac\30\0\1\u01ac\22\0\1\361\104\0"+
    "\1\367\116\0\1\u01ad\30\0\1\u01ad\5\0\1\u01ad\36\0"+
    "\1\u01ae\30\0\1\u01ae\5\0\1\u01ae\10\0\1\220\22\0"+
    "\1\u01af\30\0\1\u01af\50\0\1\u01b0\30\0\1\u01b0\22\0"+
    "\1\374\62\0\3\u019f\1\0\1\u01b1\7\0\1\u01b2\1\0"+
    "\1\u01b3\7\0\1\u01b4\3\0\1\u01b2\63\0\1\244\30\0"+
    "\1\244\37\0\1\u0125\77\0\1\u01b5\30\0\1\u01b5\53\0"+
    "\1\u01b6\30\0\1\u01b6\14\0\1\u01b6\30\0\1\u01b7\30\0"+
    "\1\u01b7\15\0\1\u01b7\36\0\1\u01b8\30\0\1\u01b8\22\0"+
    "\1\u012c\62\0\3\u01a7\1\0\1\u01b9\7\0\1\u012e\1\0"+
    "\1\u012f\7\0\1\u0130\3\0\1\u012e\75\0\1\u01ba\30\0"+
    "\1\u01ba\44\0\1\u01bb\30\0\1\u01bb\44\0\1\u01bc\30\0"+
    "\1\u01bc\42\0\1\u01bd\30\0\1\u01bd\23\0\1\u01be\123\0"+
    "\1\u01bf\30\0\1\u01bf\41\0\1\u01c0\30\0\1\u01c0\44\0"+
    "\1\u01c1\30\0\1\u01c1\44\0\1\u01c2\30\0\1\u01c2\42\0"+
    "\1\u01c3\30\0\1\u01c3\13\0\3\u01c4\1\u01c5\5\u01c4\2\0"+
    "\2\u01c4\25\0\4\u01c4\25\0\6\u01c4\1\u01c5\5\u01c4\2\0"+
    "\2\u01c4\1\u01b2\3\0\1\u01b2\3\0\1\u01b2\14\0\4\u01c4"+
    "\25\0\6\u01c4\1\u01c5\5\u01c4\2\0\2\u01c4\10\0\1\u01b2"+
    "\2\0\1\u01b2\11\0\4\u01c4\25\0\3\u01c4\35\0\1\u01c6"+
    "\30\0\1\u01c6\5\0\1\u01c6\16\0\1\u01c7\30\0\1\u01c7"+
    "\60\0\1\u01c8\30\0\1\u01c8\46\0\1\u01c9\30\0\1\u01c9"+
    "\42\0\1\u01ca\30\0\1\u01ca\27\0\1\u0133\102\0\1\u01cb"+
    "\30\0\1\u01cb\63\0\1\u01cc\30\0\1\u01cc\11\0\1\u013d"+
    "\132\0\1\u01cd\66\0\1\u01ce\30\0\1\u01ce\25\0\1\u0144"+
    "\102\0\1\u01cf\30\0\1\u01cf\63\0\1\u01d0\30\0\1\u01d0"+
    "\22\0\1\u01d1\30\0\1\u01d1\30\0\1\u01c4\126\0\1\u01d2"+
    "\30\0\1\u01d2\40\0\1\u01d3\30\0\1\u01d3\30\0\1\u01d4"+
    "\122\0\1\u01d5\30\0\1\u01d5\22\0\1\u01d6\30\0\1\u01d6"+
    "\43\0\1\u0106\3\0\1\u0106\3\0\1\u0106\4\0\1\u0106"+
    "\13\0\1\u0106\3\0\1\u0106\3\0\1\u0106\4\0\1\u0106"+
    "\7\0\1\u0106\15\0\1\u01d7\62\0\42\u01d8\1\0\33\u01d8"+
    "\40\0\1\u01d9\30\0\1\u01d9\21\0\1\220\3\0\1\220"+
    "\3\0\1\220\4\0\1\220\13\0\1\220\3\0\1\220"+
    "\3\0\1\220\4\0\1\220\7\0\1\220\15\0\1\u01da"+
    "\117\0\1\u01db\30\0\1\u01db\5\0\1\u01db\15\0\1\u0189"+
    "\102\0\1\u018b\30\0\1\u018b\60\0\1\u01dc\30\0\1\u01dc"+
    "\5\0\1\u01dc\14\0\1\u01dd\117\0\1\u01de\30\0\1\u01de"+
    "\5\0\1\u01de\1\0\2\u01dd\3\0\6\u01dd\1\u01df\16\u01dd"+
    "\1\u01e0\7\u01dd\2\0\17\u01dd\1\u01e0\12\u01dd\42\u01d8\1\0"+
    "\1\u01e1\32\u01d8\13\0\1\u01e2\62\0\2\u01e2\3\0\6\u01e2"+
    "\1\u01e3\16\u01e2\1\u01e4\7\u01e2\2\0\17\u01e2\1\u01e4\12\u01e2"+
    "\33\0\1\u01e5\30\0\1\u01e5\47\0\1\u01e6\30\0\1\u01e6"+
    "\6\0\2\u01dd\3\0\6\u01dd\1\u01df\26\u01dd\2\0\32\u01dd"+
    "\33\0\1\u01e7\30\0\1\u01e7\22\0\2\u01e8\63\0\2\u01dd"+
    "\3\0\6\u01dd\1\u01df\6\u01dd\1\u01e9\17\u01dd\2\0\7\u01dd"+
    "\1\u01e9\22\u01dd\11\u01d8\2\u01ea\27\u01d8\1\0\1\u01e1\32\u01d8"+
    "\2\u01e2\3\0\6\u01e2\1\u01e3\26\u01e2\2\0\32\u01e2\11\0"+
    "\2\u01eb\63\0\2\u01e2\3\0\6\u01e2\1\u01e3\6\u01e2\1\u01ec"+
    "\17\u01e2\2\0\7\u01e2\1\u01ec\22\u01e2\14\0\1\u019f\114\0"+
    "\1\u01ed\30\0\1\u01ed\25\0\1\u01a7\72\0\2\u01e8\30\0"+
    "\1\u01ee\32\0\2\u01dd\3\0\6\u01dd\1\u01ef\26\u01dd\2\0"+
    "\32\u01dd\11\u01d8\2\u01ea\1\u01f0\26\u01d8\1\0\1\u01e1\32\u01d8"+
    "\11\0\2\u01eb\30\0\1\u01f1\32\0\2\u01e2\3\0\6\u01e2"+
    "\1\u01f2\26\u01e2\2\0\32\u01e2\40\0\1\u01f3\30\0\1\u01f3"+
    "\4\0\42\u01f4\1\0\33\u01f4\11\0\2\u01f5\63\0\22\u01d8"+
    "\1\u01f6\17\u01d8\1\0\1\u01e1\7\u01d8\1\u01f6\22\u01d8\42\u01f7"+
    "\1\0\33\u01f7\11\0\2\u01f8\76\0\1\u01f9\62\0\42\u01f4"+
    "\1\u01fa\33\u01f4\11\0\2\u01f5\30\0\1\u01fb\32\0\32\u01d8"+
    "\1\u01fc\7\u01d8\1\0\1\u01e1\17\u01d8\1\u01fc\12\u01d8\42\u01f7"+
    "\1\u01fd\33\u01f7\11\0\2\u01f8\30\0\1\u01fe\64\0\1\u01ff"+
    "\30\0\1\u01ff\22\0\1\u0200\65\0\42\u0201\1\0\33\u0201"+
    "\13\u01d8\1\u0202\26\u01d8\1\0\1\u01e1\32\u01d8\10\0\1\u0203"+
    "\65\0\42\u0204\1\0\33\u0204\22\0\1\u0205\30\0\1\u0205"+
    "\51\0\1\u0206\30\0\1\u0206\15\0\42\u0201\1\u0207\33\u0201"+
    "\40\u01d8\1\u0208\1\u01d8\1\0\1\u01e1\25\u01d8\1\u0208\4\u01d8"+
    "\27\0\1\u0209\30\0\1\u0209\15\0\42\u0204\1\u020a\33\u0204"+
    "\13\0\1\u020b\110\0\1\u020c\30\0\1\u020c\15\0\1\u020c"+
    "\10\0\1\u020d\65\0\33\u01d8\1\u020e\6\u01d8\1\0\1\u01e1"+
    "\20\u01d8\1\u020e\11\u01d8\26\0\1\u020f\30\0\1\u020f\15\0"+
    "\1\u020f\10\0\1\u0210\76\0\2\u0211\114\0\1\u0212\30\0"+
    "\1\u0212\42\0\1\u0213\30\0\1\u0213\15\0\36\u01d8\1\u0214"+
    "\3\u01d8\1\0\1\u01e1\23\u01d8\1\u0214\6\u01d8\31\0\1\u0215"+
    "\30\0\1\u0215\42\0\1\u0216\30\0\1\u0216\26\0\2\u0211"+
    "\30\0\1\u0217\75\0\1\343\60\0\1\u0218\30\0\1\u0218"+
    "\15\0\1\u0218\35\u01d8\1\u0219\4\u01d8\1\0\1\u01e1\22\u01d8"+
    "\1\u0219\5\u01d8\1\u0219\1\u01d8\43\0\1\367\60\0\1\u021a"+
    "\30\0\1\u021a\15\0\1\u021a\42\u021b\1\0\33\u021b\31\0"+
    "\1\u021c\30\0\1\u021c\13\0\13\u01d8\1\u021d\26\u01d8\1\0"+
    "\1\u01e1\32\u01d8\31\0\1\u021e\30\0\1\u021e\13\0\42\u021b"+
    "\1\u021f\33\u021b\43\0\1\u0220\32\0\31\u01d8\1\u0221\10\u01d8"+
    "\1\0\1\u01e1\16\u01d8\1\u0221\13\u01d8\43\0\1\u0222\42\0"+
    "\1\u0223\66\0\3\u0220\1\0\1\u0224\1\343\12\0\1\345"+
    "\12\0\1\u0225\2\0\1\347\2\0\1\u0105\2\0\1\343"+
    "\4\0\1\345\12\0\1\u0225\2\0\1\347\5\0\26\u01d8"+
    "\1\u0226\13\u01d8\1\0\1\u01e1\13\u01d8\1\u0226\15\u01d8\1\u0226"+
    "\1\0\3\u0222\1\0\1\u0227\1\367\12\0\1\370\12\0"+
    "\1\u0228\2\0\1\372\2\0\1\u011a\2\0\1\367\4\0"+
    "\1\370\12\0\1\u0228\2\0\1\372\34\0\1\u0229\30\0"+
    "\1\u0229\46\0\1\u022a\30\0\1\u022a\34\0\1\u022b\30\0"+
    "\1\u022b\23\0\27\u01d8\1\u022c\12\u01d8\1\0\1\u01e1\14\u01d8"+
    "\1\u022c\15\u01d8\31\0\1\u022d\30\0\1\u022d\34\0\1\u022e"+
    "\30\0\1\u022e\51\0\1\u022f\30\0\1\u022f\15\0\1\u022f"+
    "\16\0\1\u0230\30\0\1\u0230\61\0\1\u0231\30\0\1\u0231"+
    "\11\0\42\u01d8\1\u0232\1\u01e1\32\u01d8\16\0\1\u0233\30\0"+
    "\1\u0233\61\0\1\u0234\30\0\1\u0234\42\0\1\u0235\30\0"+
    "\1\u0235\50\0\1\u0236\30\0\1\u0236\5\0\1\u0236\40\0"+
    "\1\u0237\30\0\1\u0237\6\0\3\u0232\3\0\1\35\4\0"+
    "\1\u0238\4\0\1\37\1\40\27\0\1\37\1\40\57\0"+
    "\1\u0239\30\0\1\u0239\5\0\1\u0239\40\0\1\u023a\30\0"+
    "\1\u023a\50\0\1\u023b\65\0\1\u023c\30\0\1\u023c\27\0"+
    "\1\u023d\30\0\1\u023d\61\0\1\u023e\30\0\1\u023e\44\0"+
    "\1\u023f\30\0\1\u023f\27\0\1\u0240\30\0\1\u0240\27\0"+
    "\3\u023b\1\0\1\u0241\26\0\1\u0242\30\0\1\u0242\24\0"+
    "\1\u0220\77\0\1\u0243\30\0\1\u0243\63\0\1\u0244\30\0"+
    "\1\u0244\5\0\1\u0244\15\0\1\u0222\77\0\1\u0245\30\0"+
    "\1\u0245\57\0\1\u0246\30\0\1\u0246\34\0\1\u0247\30\0"+
    "\1\u0247\52\0\1\u0248\30\0\1\u0248\33\0\1\u0249\30\0"+
    "\1\u0249\55\0\1\u024a\30\0\1\u024a\33\0\1\u024b\30\0"+
    "\1\u024b\61\0\1\u024c\30\0\1\u024c\36\0\1\u024d\30\0"+
    "\1\u024d\14\0\1\u024d\33\0\1\u024e\30\0\1\u024e\40\0"+
    "\1\u024f\30\0\1\u024f\14\0\1\u024f\37\0\1\u0250\30\0"+
    "\1\u0250\5\0\1\u0250\40\0\1\u0251\30\0\1\u0251\24\0"+
    "\1\u0252\30\0\1\u0252\32\0\1\u0232\107\0\1\u0253\30\0"+
    "\1\u0253\60\0\1\u0254\30\0\1\u0254\27\0\1\u0255\30\0"+
    "\1\u0255\43\0\1\u0256\30\0\1\u0256\44\0\1\u0257\30\0"+
    "\1\u0257\43\0\1\u023b\77\0\1\u0258\30\0\1\u0258\27\0"+
    "\3\u0259\1\0\1\u025a\1\343\12\0\1\345\3\0\1\u025b"+
    "\11\0\1\347\2\0\1\u0105\2\0\1\343\4\0\1\345"+
    "\3\0\1\u025b\11\0\1\347\2\0\1\u025b\3\0\3\u0257"+
    "\1\0\1\u025c\1\367\12\0\1\370\3\0\1\u025d\11\0"+
    "\1\372\2\0\1\u011a\2\0\1\367\4\0\1\370\3\0"+
    "\1\u025d\11\0\1\372\2\0\1\u025d\31\0\1\u025e\30\0"+
    "\1\u025e\46\0\1\u025f\30\0\1\u025f\51\0\1\u0260\30\0"+
    "\1\u0260\37\0\1\u0261\30\0\1\u0261\51\0\1\u0262\30\0"+
    "\1\u0262\33\0\1\u0263\30\0\1\u0263\14\0\1\u0263\20\0"+
    "\1\u0264\30\0\1\u0264\43\0\1\u0265\30\0\1\u0265\45\0"+
    "\1\u0266\30\0\1\u0266\43\0\1\u0267\30\0\1\u0267\46\0"+
    "\1\u0268\30\0\1\u0268\62\0\1\u0269\30\0\1\u0269\5\0"+
    "\1\u0269\30\0\1\u026a\30\0\1\u026a\52\0\1\u026b\30\0"+
    "\1\u026b\5\0\1\u026b\30\0\1\u026c\30\0\1\u026c\32\0"+
    "\1\u026d\30\0\1\u026d\62\0\1\u026e\30\0\1\u026e\36\0"+
    "\1\u026f\30\0\1\u026f\14\0\1\u026f\35\0\1\u0270\30\0"+
    "\1\u0270\36\0\1\u0271\30\0\1\u0271\14\0\1\u0271\3\0"+
    "\3\u0272\1\0\1\u0273\17\0\1\u0274\30\0\1\u0274\14\0"+
    "\1\u0274\16\0\1\u0259\76\0\1\u0275\30\0\1\u0275\43\0"+
    "\1\u0257\76\0\1\u0276\30\0\1\u0276\60\0\1\u0277\30\0"+
    "\1\u0277\51\0\1\u0278\30\0\1\u0278\37\0\1\u0279\30\0"+
    "\1\u0279\44\0\1\u027a\30\0\1\u027a\31\0\1\u027b\30\0"+
    "\1\u027b\43\0\1\u027c\30\0\1\u027c\44\0\1\u027d\30\0"+
    "\1\u027d\44\0\1\367\30\0\1\367\64\0\1\u027e\30\0"+
    "\1\u027e\5\0\1\u027e\30\0\1\u027f\30\0\1\u027f\50\0"+
    "\1\u0280\30\0\1\u0280\36\0\1\u0281\30\0\1\u0281\14\0"+
    "\1\u0281\16\0\1\u0272\76\0\1\u0282\30\0\1\u0282\60\0"+
    "\1\u0283\30\0\1\u0283\30\0\1\u0284\30\0\1\u0284\27\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[38502];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\12\0\2\1\1\11\4\1\1\11\1\1\1\11\2\1"+
    "\1\11\3\1\45\0\2\1\113\0\1\11\2\0\1\11"+
    "\6\0\1\1\10\0\1\11\1\1\2\0\1\11\32\0"+
    "\1\11\10\0\1\1\33\0\1\1\5\0\1\1\2\0"+
    "\1\1\30\0\1\1\4\0\1\11\3\0\1\11\23\0"+
    "\1\11\1\1\25\0\1\1\1\11\26\0\1\11\1\1"+
    "\31\0\1\1\35\0\1\1\70\0\1\11\1\1\220\0"+
    "\1\1\26\0\1\1\17\0\1\1\6\0\1\11";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[644];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S078_Journals() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S078_Journals(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 19: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 20: break;
          case 3:
            { yypushback(1); yybegin(0);
            }
          // fall through
          case 21: break;
          case 4:
            { addText(); position += yylength();
            }
          // fall through
          case 22: break;
          case 5:
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "EU_" + yytext(), false, false); yybegin(0);
            }
          // fall through
          case 23: break;
          case 6:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 24: break;
          case 7:
            // lookahead expression with fixed lookahead length
            zzMarkedPos = Character.offsetByCodePoints
                (zzBufferL, zzStartRead, zzEndRead - zzStartRead, zzMarkedPos, -1);
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", true, false);
            }
          // fall through
          case 25: break;
          case 8:
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "1_SS", true, false);
            }
          // fall through
          case 26: break;
          case 9:
            // lookahead expression with fixed lookahead length
            zzMarkedPos = Character.offsetByCodePoints
                (zzBufferL, zzStartRead, zzEndRead - zzStartRead, zzMarkedPos, -2);
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", true, false);
            }
          // fall through
          case 27: break;
          case 10:
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", false, false);
            }
          // fall through
          case 28: break;
          case 11:
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "SG", false, false);
            }
          // fall through
          case 29: break;
          case 12:
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "SUPPL_ORD", false, false);
            }
          // fall through
          case 30: break;
          case 13:
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", false, false); saveInner(annotationEntity, new AnnotationEntity(Entity.GU_ATTR), "EU_");
            }
          // fall through
          case 31: break;
          case 14:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 3;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "SUPPL_ORD", true, false);
            }
          // fall through
          case 32: break;
          case 15:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 33: break;
          case 16:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 6;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 7;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", false, false); yybegin(inEuSeries);
            }
          // fall through
          case 34: break;
          case 17:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 3;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.GU_ATTR), "SUPPL_ORD", true, false);
            }
          // fall through
          case 35: break;
          case 18:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 8;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 9;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.DOCTYPE), "GU", true, false); yybegin(inEuSeries);
            }
          // fall through
          case 36: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S078_Journals [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S078_Journals scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S078_Journals(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
